### Method

# AppStream ReviewsClient remove_review

since: 1.1.4

#### Declaration [src]

    gboolean
    as_reviews_client_remove_review (
      AsReviewsClient* rrc,
      AsReview* review,
      GError** error
    )

#### Description [src]

Remove a review that the current user has written from the reviews server. The review must have been received from the server via a previous fetch operation, and the server will refuse to remove reviews that were not written by the current user. This call does blocking network I/O.

Available since: 1.1.4

#### Parameters

`review`

  Type: `AsReview`

  The review to remove.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.